Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:32 2009

## Asterisk developer's documentation

# ast_switch Struct Reference

`#include <pbx.h>`

Collaboration diagram for ast_switch:

[legend]

## Data Fields

int(* | canmatch )(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)
const char * | description
int(* | exec )(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, int newstack, const char *data)
int(* | exists )(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)
int(* | matchmore )(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)
const char * | name
struct ast_switch * | next

## Detailed Description

Data structure associated with an asterisk switch

Definition at line 97 of file pbx.h.

## Field Documentation

int(* canmatch)(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)

Referenced by pbx_find_extension().

const char* description

Description of the switch

Definition at line 103 of file pbx.h.

Referenced by handle_show_switches().

int(* exec)(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, int newstack, const char *data)

Referenced by pbx_extension_helper().

int(* exists)(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)

Referenced by pbx_find_extension().

int(* matchmore)(struct ast_channel *chan, const char *context, const char *exten, int priority, const char *callerid, const char *data)

Referenced by pbx_find_extension().

const char* name

Name of the switch

Definition at line 101 of file pbx.h.

Referenced by ast_register_switch(), handle_show_switches(), pbx_extension_helper(), and pbx_findswitch().

struct ast_switch* next`[read]`

NULL

Definition at line 99 of file pbx.h.

Referenced by ast_register_switch(), ast_unregister_switch(), handle_show_switches(), and pbx_findswitch().

The documentation for this struct was generated from the following file:

- pbx.h